Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206750 - Cups does not start
Summary: Cups does not start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-16 04:15 UTC by louisgtwo
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-20 22:20:49 UTC


Attachments (Terms of Use)
cups dosen't start (deleted)
2006-09-16 19:02 UTC, louisgtwo
no flags Details

Description louisgtwo 2006-09-16 04:15:37 UTC
Trying to get cups running on test3 and it dies. This is the error log
of cups. I'm on a local ipv4 network by the way.

I [15/Sep/2006:22:13:43 -0400] Listening to ::1:631 (IPv6)
I [15/Sep/2006:22:13:43 -0400] Listening to /var/run/cups/cups.sock
(Domain)
I [15/Sep/2006:22:13:43 -0400] Loaded configuration file
"/etc/cups/cupsd.conf"
W [15/Sep/2006:22:13:43 -0400] Repairing access permissions of
"/etc/cups/classes.conf"
I [15/Sep/2006:22:13:43 -0400] Using default TempDir
of /var/spool/cups/tmp...
I [15/Sep/2006:22:13:43 -0400] Cleaning out old temporary files in
"/var/spool/cups/tmp"...
I [15/Sep/2006:22:13:43 -0400] Configured for up to 100 clients.
I [15/Sep/2006:22:13:43 -0400] Allowing up to 100 client connections per
host.
I [15/Sep/2006:22:13:43 -0400] Using policy "default" as the default!
I [15/Sep/2006:22:13:43 -0400] Full reload is required.
I [15/Sep/2006:22:13:43 -0400] Loaded MIME database from '/etc/cups': 34
types, 36 filters...
I [15/Sep/2006:22:13:43 -0400] Loading NextJobId from job cache file
"/var/cache/cups/job.cache"...
I [15/Sep/2006:22:13:43 -0400] Full reload complete.
E [15/Sep/2006:22:13:43 -0400] Unable to bind socket for address ::1:631
- Address already in use.
I [15/Sep/2006:22:13:43 -0400] Listening to /var/run/cups/cups.sock on
fd 3...
E [15/Sep/2006:22:13:43 -0400] cupsdStartBrowsing: Unable to bind
broadcast socket - Address already in use.

Comment 1 Tim Waugh 2006-09-16 10:28:06 UTC
I don't see this here on a fresh install.  Please attach your
/etc/cups/cupsd.conf file.  Thanks.

Comment 2 louisgtwo 2006-09-16 19:02:27 UTC
Created attachment 136441 [details]
cups dosen't start

Comment 3 louisgtwo 2006-09-17 02:04:51 UTC
Maybe an selinux issue. With selinux in permissive mode cups workes fine. With
selinux in enforcing mode cupsd dies.

Comment 4 louisgtwo 2006-09-17 03:12:25 UTC
I reinstalled test3 and updated to rawhide as of sep 15. Cups was running after
the initial install but when I updated and rebooted cups was dead. I am using a
ppd file for a printer I just got. This worked with test2 on but not now. As I
said before this works with selinux=0. I get no avc messages though. Seems it's
not able to bind to a socket.

I [16/Sep/2006:23:05:05 -0400] Listening to 127.0.0.1:631 (IPv4)
I [16/Sep/2006:23:05:05 -0400] Listening to ::1:631 (IPv6)
I [16/Sep/2006:23:05:05 -0400] Listening to /var/run/cups/cups.sock (Domain)
I [16/Sep/2006:23:05:05 -0400] Loaded configuration file "/etc/cups/cupsd.conf"
I [16/Sep/2006:23:05:05 -0400] Using default TempDir of /var/spool/cups/tmp...
I [16/Sep/2006:23:05:05 -0400] Cleaning out old temporary files in
"/var/spool/cups/tmp"...
I [16/Sep/2006:23:05:05 -0400] Configured for up to 100 clients.
I [16/Sep/2006:23:05:05 -0400] Allowing up to 100 client connections per host.
I [16/Sep/2006:23:05:05 -0400] Using policy "default" as the default!
I [16/Sep/2006:23:05:05 -0400] Full reload is required.
I [16/Sep/2006:23:05:05 -0400] Loaded MIME database from '/etc/cups': 34 types,
38 filters...
I [16/Sep/2006:23:05:05 -0400] Loading job cache file "/var/cache/cups/job.cache"...
I [16/Sep/2006:23:05:05 -0400] Full reload complete.
E [16/Sep/2006:23:05:05 -0400] Unable to bind socket for address 127.0.0.1:631 -
Address already in use.
E [16/Sep/2006:23:05:05 -0400] Unable to bind socket for address ::1:631 -
Address already in use.
I [16/Sep/2006:23:05:05 -0400] Listening to /var/run/cups/cups.sock on fd 3...
E [16/Sep/2006:23:05:05 -0400] cupsdStartBrowsing: Unable to bind broadcast
socket - Address already in use.


Comment 5 Tim Waugh 2006-09-17 11:03:06 UTC
This problem is mentioned in an upstream bug report:
  http://cups.org/str.php?L1976


Comment 6 louisgtwo 2006-09-20 22:20:49 UTC
Seems to be fixed with 09/20/2006 rawhide update. selinux-policy-2.3.14-6



Note You need to log in before you can comment on or make changes to this bug.